Current Tagged version (1.4.3) has wrong version in component.json file #24

Closed
eberhm opened this Issue Nov 1, 2012 · 15 comments

Comments

Projects
None yet
5 participants

eberhm commented Nov 1, 2012

The version number in the component.json files states v 1.4.3.1 making the installation through bower to fail.

bower error invalid version: 1.4.3.1

I presume is not working either with yeoman but I haven't checked it out.

blittle commented Nov 5, 2012

+1 - Please fix :)

Contributor

adjohn commented Nov 9, 2012

+1

adjohn added a commit to adjohn/jquery.scrollTo that referenced this issue Nov 9, 2012

Owner

flesler commented Nov 13, 2012

Can you confirm if the pull request fixes the issue?
Thanks and sorry for the delay

blittle commented Nov 13, 2012

Yes

Owner

flesler commented Nov 13, 2012

Awesome I'm closing it then, re-open if needed

@flesler flesler closed this Nov 13, 2012

Contributor

adjohn commented Nov 13, 2012

I think you need to retag 1.4.3 for this to work with bower/yeoman.

Owner

flesler commented Nov 13, 2012

I've never used bower or yeoman so really just following your steps, if you find a problem and know how to fix it, tell me how and I'll do it.

Contributor

adjohn commented Nov 13, 2012

The problem is that in git tag "1.4.3" your component.json file specifies
versions of "1.4.3.1". The mismatch causes a problem with Bower and
Yeoman. Also, I believe you can't use a version scheme of x.x.x.x, so you
need to stick with something like 1.4.4 instead of 1.4.3.1. If you change
the component.json to 1.4.3 you then need to delete the current tag "1.4.3"
and re-tag it with the change made to the component.json file.

Let me know if you have any questions.

On Tue, Nov 13, 2012 at 2:18 PM, Ariel Flesler notifications@github.comwrote:

I've never used bower or yeoman so really just following your steps, if
you find a problem and know how to fix it, tell me how and I'll do it.


Reply to this email directly or view it on GitHubhttps://github.com/flesler/jquery.scrollTo/issues/24#issuecomment-10346411.

@flesler flesler reopened this Nov 14, 2012

I confirm, I am having the same problem.

Owner

flesler commented Nov 14, 2012

Ok, I will re-release 1.4.3.1 as 1.4.2 asap and get done with this :)

On Wed, Nov 14, 2012 at 2:45 PM, Nicolas Sauveur
notifications@github.comwrote:

I confirm, I am having the same problem.


Reply to this email directly or view it on GitHubhttps://github.com/flesler/jquery.scrollTo/issues/24#issuecomment-10375877.

Ariel Flesler

Contributor

adjohn commented Nov 19, 2012

That'll work, thanks!

Owner

flesler commented Nov 19, 2012

Ok re-released as 1.4.4 and re-tagged (0a8513e)
Can you verify it's fine now?

Contributor

adjohn commented Nov 19, 2012

Confirmed, it works for Yeoman v0.9.5 and Bower v0.4.0.

Thanks!

On Mon, Nov 19, 2012 at 3:19 PM, Ariel Flesler notifications@github.comwrote:

Ok re-released as 1.4.4 and re-tagged (0a8513ehttps://github.com/flesler/jquery.scrollTo/commit/0a8513eab987ad85c3e608a03d02566827c91484
)
Can you verify it's fine now?


Reply to this email directly or view it on GitHubhttps://github.com/flesler/jquery.scrollTo/issues/24#issuecomment-10535910.

Owner

flesler commented Nov 20, 2012

Thanks

@flesler flesler closed this Nov 20, 2012

Thanks

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment